Scripts
PHP Scripts

Weaxium - Responsive Portfolio | Blog PHP Script

Weaxium is a fully responsive & multi-purpose PHP scrip, it can be used for a blog, portofolio or anything else. With its powerful dashboard, you can view who are visiting your website, their countries, which pages interest them the most, which devices are they using, operating system ... and much more.

It has an auto sitemap generator, supports newsletter, multiple user roles (administrators, authors and moderators), has a recovery system for your posts, pages, comments ..., you can add as much pages as you want, categories and subcategories, a sortable navigation menu, multiple styles (dark & light), fast loading time, seo friendly, easy to install and easy to use.

 

Main Features:

  • Secure system.
  • Responsive design (with Semantic-ui).
  • Manage users (authors, moderators, ...) easily.
  • Responsive Ad Spaces (google adsense, other advertising companies).
  • Pop-up ads (PopAds, PopCash ...).
  • Newsletter.
  • Seo friendly.
  • Sortable navigation menu.
  • Categories and subcategories.
  • Awesome and powerful dashboard.
  • Auto sitemap generator.
  • Visibility option for posts, pages, categories and subcategories.
  • Block, Activate options for users.
  • Google analytics.
  • Comments moderation.
  • Secure authentication.
  • Install wizard.
  • Featured posts carousel.
  • Unlimited pages.
  • Detailed documentation.
  • Posts archive widget.
  • Posts & Comments by user.
  • Share on social media (twitter, pinterest, ...).
  • Restore deleted items (posts, pages, ...).
  • Dark & Light style.
  • Contact form.
  • WYSIWYG editor for posts, pages and newsletter.
  • Popular posts widget.
  • Latest comments widget.
  • Random posts widget.
  • Posts by author widget.
  • Search.
  • Awesome home page.
  • Show/Hide scrollbars.
  • Posts rating.
  • Similar posts.
  • Reset password.
  • Email verification.
  • Database cache system.

Security:

  • SQL injection prevention.
  • Session hijacking prevention.
  • Session fixation prevention.
  • Cross site request forgery (CSRF) prevention.
  • Cross site scripting (XSS) Prevention.
  • Password hashing using ARGON2I algorithm.

Requirements:

  • PHP 7.2 or higher.
  • MySQL 5.7 or higher.
  • mod_rewrite enabled.
  • OpenSSL extension.
  • intl extension.
  • cURL extension.

Demo:

  • Admin
    • Username : admin
    • password : admin
  • Moderator
    • Username : mod
    • Password : mod
  • Author
    • Username : author
    • Password : author
  • Member
    • Username : member
    • Password : member
Show More
by in